Loading...
Searching...
No Matches
MapBase< K, V > Class Template Reference
Data Structures » Maps

## Detailed Description

template<typename K, typename V>
class lemon::MapBase< K, V >

Base class of maps. It provides the necessary type definitions required by the map concepts.

`#include <lemon/maps.h>`

Inheritance diagram for MapBase< K, V >:
[legend]

## Public Types

typedef K | Key
| The key type of the map.
typedef V | Value
| The value type of the map. (The type of objects associated with the keys).